Bug 196155 - graphics/freeglut: fix build on mips, remove .la file, strip library
Summary: graphics/freeglut: fix build on mips, remove .la file, strip library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: mips Any
: --- Affects Many People
Assignee: freebsd-x11 mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-20 13:55 UTC by Dmitry Marakasov
Modified: 2015-05-19 19:07 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments
Patch (1.06 KB, patch)
2014-12-20 13:55 UTC, Dmitry Marakasov
no flags Details | Diff
Error log (74.89 KB, text/plain)
2014-12-20 13:56 UTC, Dmitry Marakasov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2014-12-20 13:55:34 UTC
Created attachment 150801 [details]
Patch

Freeglut doesn't build on MIPS (full log attached):

/usr/bin/ld: undefined reference to symbol `sin@@FBSD_1.0' (try adding -lm)
//lib/libm.so.5: could not read symbols: Bad value

Adding -lm to LDFLAGS fixes this.

While here, drop .la file and strip library.
Comment 1 Bugzilla Automation freebsd_committer 2014-12-20 13:55:34 UTC
Auto-assigned to maintainer x11@FreeBSD.org
Comment 2 Dmitry Marakasov freebsd_committer 2014-12-20 13:56:12 UTC
Created attachment 150802 [details]
Error log
Comment 3 commit-hook freebsd_committer 2015-04-22 23:46:19 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Apr 22 23:45:50 UTC 2015
New revision: 384543
URL: https://svnweb.freebsd.org/changeset/ports/384543

Log:
  - Fix build on mips:

  /usr/bin/ld: undefined reference to symbol `sin@@FBSD_1.0' (try adding -lm)

  PR:		196155 (partial)
  Submitted by:	amdmi3
  Approved by:	maintainer timeout (x11)
  Approved by:	portmgr blanket

Changes:
  head/graphics/freeglut/Makefile
Comment 4 Ed Maste freebsd_committer 2015-05-19 14:44:19 UTC
This is now fixed?
Comment 5 Dmitry Marakasov freebsd_committer 2015-05-19 19:06:25 UTC
I've just committed remaining bits.
Comment 6 commit-hook freebsd_committer 2015-05-19 19:07:02 UTC
A commit references this bug:

Author: amdmi3
Date: Tue May 19 19:06:07 UTC 2015
New revision: 386805
URL: https://svnweb.freebsd.org/changeset/ports/386805

Log:
  - Drop .la file
  - Strip library
  - Add LICENSE_FILE

  PR:		196155
  Submitted by:	amdmi3
  Approved by:	maintainer timeout (x11, 6 months)

Changes:
  head/graphics/freeglut/Makefile
  head/graphics/freeglut/pkg-plist